summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorAdrian Thurston <thurston@complang.org>2013-05-18 14:37:26 +0000
committerAdrian Thurston <thurston@complang.org>2013-05-18 14:37:26 +0000
commitb64ef1d0addc4f3e8e21fd5b7d5e6744f0d5f9cc (patch)
tree231d6aadd20d4b2606379144580b1cb705b5f881 /test
parent283dba0b97202ee21c9f0de7d265d12c0ed97bd7 (diff)
downloadcolm-b64ef1d0addc4f3e8e21fd5b7d5e6744f0d5f9cc.tar.gz
make it possible to specify a line with no EOL in EXP section
Diffstat (limited to 'test')
-rwxr-xr-xtest/runtests.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/test/runtests.sh b/test/runtests.sh
index a0e54eb3..dbf4f807 100755
--- a/test/runtests.sh
+++ b/test/runtests.sh
@@ -87,10 +87,17 @@ function section
END {
exit( found ? 0 : 1 )
}
- ' $in > $out
+ ' $in | awk '
+ /--noeol$/ {
+ gsub(/--noeol$/,"");
+ printf("%s", $0);
+ next;
+ }
+ { print $0 }
+ ' > $out
# Remove the file if no section was found
- [ $? = 0 ] || rm $out
+ [ ${PIPESTATUS[0]} = 0 ] || rm $out
}
function runtests()